//------------------------------------------------------------------------------
//
// Tribes 2 Teamplay Binds Chat Menu.
// Written by Advis (advis@innocent.com)
// http://t2.redphive.org
//
//------------------------------------------------------------------------------
 
startDiaMenu( "G: Global" );
    startDiaMenu( "A: Animations" );
        addDia( "A: Move", "ChatAnimAnnoyed", "", 2 );
        addDia( "G: I'm the greatest", "ChatAnimGetSome", "", 2 );
        addDia( "D: Woohoo", "ChatAnimDance", "", 2 );
        addDia( "S: I'm on it", "ChatAnimSalute", "", 2 );
        addDia( "W: Hi", "ChatAnimWave", "", 2 );
        addDia( "Z: Take that", "ChatAnimSpec1", "", 2 );
        addDia( "X: Too bad", "ChatAnimSpec2", "", 2 );
        addDia( "C: Awesome", "ChatAnimSpec3", "", 2 );
    endDiaMenu(); // Animations
 
    startDiaMenu( "C: Compliment" );
        addDia( "A: Awesome!", "ChatAwesome", "gbl.awesome", 2 );
        addDia( "G: Good game.", "ChatGoodGame", "gbl.goodgame", 2 );
        addDia( "N: Nice move!", "ChatNice", "gbl.nice", 2 );
        addDia( "R: You rock!", "ChatYouRock", "gbl.rock", 2 );
        addDia( "S: Great shot!", "ChatGreatShot", "gbl.shooting", 2 );
    endDiaMenu(); // Compliment
 
    startDiaMenu( "R: Respond" );
        addDia( "A: Anytime", "ChatAnyTime", "gbl.anytime", 2 );
        addDia( "D: Don't know", "ChatDontKnow", "gbl.dunno", 2 );
        addDia( "T: Thanks", "ChatThanks", "gbl.thanks", 2 );
        addDia( "W: Wait", "ChatWait", "gbl.wait", 2 );
    endDiaMenu(); // Respond
 
    startDiaMenu( "T: Taunt" );
        addDia( "A: Aww...", "ChatAww", "gbl.aww", 2 );
        addDia( "B: Best you can do?", "ChatObnoxious", "gbl.obnoxious", 2 );
        addDia( "G: I am the greatest!", "ChatBrag", "gbl.brag", 2 );
        addDia( "T: THAT was graceful!", "ChatSarcasm", "gbl.sarcasm", 2 );
        addDia( "W: When will you learn?", "ChatLearn", "gbl.when", 2 );
    endDiaMenu(); // Taunt
 
    addDia( "Y:  Yes", "ChatGlobalYes", "gbl.yes", 2 );
    addDia( "N:  No", "ChatGlobalNo", "gbl.no", 2 );
    addDia( "H:  Hi", "ChatHi", "gbl.hi", 2 );
    addDia( "B:  Bye", "ChatBye", "gbl.bye", 2 );
    addDia( "O:  Oops.", "ChatOops", "gbl.oops", 2 );
    addDia( "Q:  Quiet!", "ChatQuiet", "gbl.quiet", 2 );
    addDia( "S:  Shazbot!", "ChatShazbot", "gbl.shazbot", 2 );
    addDia( "W:  Woohoo!", "ChatCheer", "gbl.woohoo", 2 );
endDiaMenu(); // Global
 
startDiaMenu( "A: Attack" );
    addDia( "A: Attack!", "ChatCmdAttack", "att.attack", 2 );
    addDia( "B: Base", "ChatCmdAttackBase", "att.base", 2 );
    addDia( "C: Chase", "ChatCmdAttackChase", "att.chase", 2 );
    addDia( "D: Disrupt", "ChatCmdAttackDistract", "att.distract", 2 );
    addDia( "F: Flag", "ChatCmdAttackFlag", "att.flag", 2 );
    addDia( "G: Generator", "ChatCmdAttackGenerator", "att.generator", 2 );
    addDia( "O: Objective", "ChatCmdAttackObjective", "att.objective", 2 );
    addDia( "R: Reinforce", "ChatCmdAttackReinforce", "att.reinforcements", 2 );
    addDia( "S: Sensors", "ChatCmdAttackSensors", "att.sensors", 2 );
    addDia( "T: Turrets", "ChatCmdAttackTurrets", "att.turrets", 2 );
    addDia( "V: Vehicle", "ChatCmdAttackVehicle", "att.vehicle", 2 );
    addDia( "W: Wait", "ChatCmdAttackWait", "att.wait", 2 );
endDiaMenu(); // Attack
 
startDiaMenu( "D: Defend" );
    addDia( "B: Base", "ChatCmdDefendBase", "def.base", 2 );
    addDia( "C: Flag carrier", "ChatCmdDefendCarrier", "def.carrier", 2 );
    addDia( "E: Entrances", "ChatCmdDefendEntrances", "def.entrances", 2 );
    addDia( "F: Flag", "ChatCmdDefendFlag", "def.flag", 2 );
    addDia( "G: Generator", "ChatCmdDefendGenerator", "def.generator", 2 );
    addDia( "M: Me", "ChatCmdDefendMe", "def.me", 2 );
    addDia( "N: Nexus", "ChatCmdDefendNexus", "def.nexus", 2 );
    addDia( "O: Objective", "ChatCmdDefendObjective", "def.objective", 2 );
    addDia( "R: Reinforce", "ChatCmdDefendReinforce", "def.reinforce", 2 );
    addDia( "S: Sensors", "ChatCmdDefendSensors", "def.sensors", 2 );
    addDia( "T: Turrets", "ChatCmdDefendTurrets", "def.turrets", 2 );
    addDia( "V: Vehicle", "ChatCmdDefendVehicle", "def.vehicle", 2 );
endDiaMenu(); // Defend
 
startDiaMenu( "R: Repair" );
    addDia( "B: Base", "ChatRepairBase", "rep.base", 2 );
    addDia( "G: Generator", "ChatRepairGenerator", "rep.generator", 2 );
    addDia( "M: Me", "ChatRepairMe", "rep.me", 2 );
    addDia( "S: Sensors", "ChatRepairSensors", "rep.sensors", 2 );
    addDia( "T: Turrets", "ChatRepairTurrets", "rep.turrets", 2 );
    addDia( "V: Vehicle bay", "ChatRepairVehicle", "rep.vehicle", 2 );
endDiaMenu(); // Repair
 
startDiaMenu( "B: Base" );
    addDia( "C: Clear", "ChatBaseClear", "bas.clear", 2 );
    addDia( "E: Enemy in base", "ChatEnemyInBase", "bas.enemy", 2 );
    addDia( "R: Retake", "ChatCmdRetakeBase", "bas.retake", 2 );
    addDia( "S: Secure", "ChatBaseSecure", "bas.secure", 2 );
    addDia( "T: Taken", "ChatBaseTaken", "bas.taken", 2 );
endDiaMenu(); // Base
 
startDiaMenu( "C: Command" );
    addDia( "A: Acknowledged", "ChatCmdAcknowledged", "cmd.acknowledge", 2 );
    addDia( "C: Completed", "ChatCmdCompleted", "cmd.completed", 2 );
    addDia( "D: Declined", "ChatCmdDeclined", "cmd.decline", 2 );
    addDia( "W: Assignment?", "ChatCmdWhat", "cmd.bot", 2 );
endDiaMenu(); // Command
 
startDiaMenu( "E: Enemy" );
    addDia( "B: Base disabled", "ChatEnemyBaseDisabled", "ene.base", 2 );
    addDia( "D: Disarray", "ChatEnemyDisarray", "ene.disarray", 2 );
    addDia( "G: Generator destroyed", "ChatEnemyGeneratorDestroyed", "ene.generator", 2 );
    addDia( "R: Remotes destroyed", "ChatEnemyRemotesDestroyed", "ene.remotes", 2 );
    addDia( "S: Sensors destroyed", "ChatEnemySensorsDestroyed", "ene.sensors", 2 );
    addDia( "T: Turrets destroyed", "ChatEnemyTurretsDestroyed", "ene.turrets", 2 );
    addDia( "V: Vehicle bay destroyed", "ChatEnemyVehicleDestroyed", "ene.vehicle", 2 );
endDiaMenu(); // Enemy
 
startDiaMenu( "F: Flag" );
    addDia( "D: Defend", "ChatCmdDefendFlag", "def.flag", 2 );
    addDia( "F: I have the flag", "ChatFlagGotIt", "flg.flag", 2 );
    addDia( "G: Give me", "ChatCmdGiveMeFlag", "flg.give", 2 );
    addDia( "R: Retrieve", "ChatCmdReturnFlag", "flg.retrieve", 2 );
    addDia( "S: Secure", "ChatFlagSecure", "flg.secure", 2 );
    addDia( "T: Take", "ChatCmdTakeFlag", "flg.take", 2 );
    addDia( "O: Give me your flags", "ChatCmdHunterGiveFlags", "flg.huntergive", 2 );
    addDia( "P: Take my flags", "ChatCmdHunterTakeFlags", "flg.huntertake", 2 );
endDiaMenu(); // Flag
 
startDiaMenu( "N: Need" );
    addDia( "B: Bombardier", "ChatNeedBombardier", "need.bombardier", 2 );
    addDia( "C: Cover", "ChatNeedCover", "need.cover", 2 );
    addDia( "D: Driver", "ChatNeedDriver", "need.driver", 2 );
    addDia( "E: Escort", "ChatNeedEscort", "need.escort", 2 );
    addDia( "G: Gunship ready", "ChatNeedPassengers", "need.gunship", 2 );
    addDia( "H: Hold vehicle", "ChatNeedHold", "need.hold", 2 );
    addDia( "P: Pilot", "ChatNeedPilot", "need.flyer", 2 );
    addDia( "R: Ride", "ChatNeedRide", "need.ride", 2 );
    addDia( "S: Support", "ChatNeedSupport", "need.support", 2 );
    addDia( "T: Tailgunner", "ChatNeedTailgunner", "need.tailgunner", 2 );
    addDia( "W: Where to?", "ChatNeedDestination", "need.where", 2 );
endDiaMenu(); // Need
 
startDiaMenu( "S: Self" );
    startDiaMenu( "A: Attack" );
        addDia( "A: Attack", "ChatSelfAttack", "slf.att.attack", 2 );
        addDia( "B: Base", "ChatSelfAttackBase", "slf.att.base", 2 );
        addDia( "F: Flag", "ChatSelfAttackFlag", "slf.att.flag", 2 );
        addDia( "G: Generator", "ChatSelfAttackGenerator", "slf.att.generator", 2 );
        addDia( "S: Sensors", "ChatSelfAttackSensors", "slf.att.sensors", 2 );
        addDia( "T: Turrets", "ChatSelfAttackTurrets", "slf.att.turrets", 2 );
        addDia( "V: Vehicle bay", "ChatSelfAttackVehicle", "slf.att.vehicle", 2 );
    endDiaMenu(); // Attack
 
    startDiaMenu( "D: Defend" );
        addDia( "B: Base", "ChatSelfDefendBase", "slf.def.base", 2 );
        addDia( "D: Defend", "ChatSelfDefend", "slf.def.defend", 2 );
        addDia( "F: Flag", "ChatSelfDefendFlag", "slf.def.flag", 2 );
        addDia( "G: Generator", "ChatSelfDefendGenerator", "slf.def.generator", 2 );
        addDia( "N: Nexus", "ChatSelfDefendNexus", "slf.def.nexus", 2 );
        addDia( "S: Sensors", "ChatSelfDefendSensors", "slf.def.sensors", 2 );
        addDia( "T: Turrets", "ChatSelfDefendTurrets", "slf.def.turrets", 2 );
        addDia( "V: Vehicle bay", "ChatSelfDefendVehicle", "slf.def.vehicle", 2 );
    endDiaMenu(); // Defend
 
    startDiaMenu( ":  Repair" );
        addDia( "B: Base", "ChatSelfRepairBase", "slf.rep.base", 2 );
        addDia( "E: Equipment", "ChatSelfRepairEquipment", "slf.rep.equipment", 2 );
        addDia( "G: Generator", "ChatSelfRepairGenerator", "slf.rep.generator", 2 );
        addDia( "R: Repair", "ChatSelfRepair", "slf.rep.repairing", 2 );
        addDia( "S: Sensors", "ChatSelfRepairSensors", "slf.rep.sensors", 2 );
        addDia( "T: Turrets", "ChatSelfRepairTurrets", "slf.rep.turrets", 2 );
        addDia( "V: Vehicle bay", "ChatSelfRepairVehicle", "slf.rep.vehicle", 2 );
    endDiaMenu(); //  Repair
 
    startDiaMenu( "T: Task" );
        addDia( "C: Cover", "ChatTaskCover", "slf.tsk.cover", 2 );
        addDia( "D: Setup defenses", "ChatTaskSetupD", "slf.tsk.defense", 2 );
        addDia( "O: On it", "ChatTaskOnIt", "slf.tsk.generic", 2 );
        addDia( "R: Deploy remotes", "ChatTaskSetupRemote", "slf.tsk.remotes", 2 );
        addDia( "S: Deploy sensors", "ChatTaskSetupSensors", "slf.tsk.sensors", 2 );
        addDia( "T: Deploy turrets", "ChatTaskSetupTurrets", "slf.tsk.turrets", 2 );
        addDia( "V: Vehicle", "ChatTaskVehicle", "slf.tsk.vehicle", 2 );
    endDiaMenu(); // Task
 
endDiaMenu(); // Self
 
startDiaMenu( "T: Target" );
    addDia( "A: Acquired", "ChatTargetAcquired", "tgt.acquired", 2 );
    addDia( "B: Base", "ChatCmdTargetBase", "tgt.base", 2 );
    addDia( "D: Destroyed", "ChatTargetDestroyed", "tgt.destroyed", 2 );
    addDia( "F: Flag", "ChatCmdTargetFlag", "tgt.flag", 2 );
    addDia( "M: Fire on my target", "ChatTargetFire", "tgt.my", 2 );
    addDia( "N: Need", "ChatTargetNeed", "tgt.need", 2 );
    addDia( "S: Sensors", "ChatCmdTargetSensors", "tgt.sensors", 2 );
    addDia( "T: Turret", "ChatCmdTargetTurret", "tgt.turret", 2 );
    addDia( "W: Wait", "ChatCmdTargetWait", "tgt.wait", 2 );
endDiaMenu(); // Target
 
startDiaMenu( "W: Warning" );
    addDia( "B: Bomber", "ChatWarnBomber", "wrn.bomber", 2 );
    addDia( "E: Enemies", "ChatWarnEnemies", "wrn.enemy", 2 );
    addDia( "V: Vehicles", "ChatWarnVehicles", "wrn.vehicles", 2 );
    addDia( "W: Watch your shooting", "ChatWarnShoot", "wrn.watchit", 2 );
endDiaMenu(); // Warning
 
startDiaMenu( "V: Very Quick" );
    addDia( "Y: Yes", "ChatTeamYes", "vqk.yes", 2 );
    addDia( "N: No", "ChatTeamNo", "vqk.no", 2 );
    addDia( "A: Anytime", "ChatWelcome", "vqk.anytime", 2 );
    addDia( "B: Base secure?", "ChatIsBaseSecure", "vqk.base", 2 );
    addDia( "C: Cease fire", "ChatCeaseFire", "vqk.ceasefire", 2 );
    addDia( "D: Don't know", "ChatDunno", "vqk.dunno", 2 );
    addDia( "H: HELP!", "ChatHelp", "vqk.help", 2 );
    addDia( "M: Move", "ChatMove", "vqk.move", 2 );
    addDia( "S: Sorry", "ChatSorry", "vqk.sorry", 2 );
    addDia( "T: Thanks", "ChatTeamThanks", "vqk.thanks", 2 );
    addDia( "W: Wait", "ChatTeamWait", "vqk.wait", 2 );
endDiaMenu(); // Very Quick
 

 
